The project Save? dialog does not appear when expected.
Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11022

Description

A project with layers loaded sometimes doesn't get the Save dialog on closing QGIS/new file/open file actions

The Ask to save project changes... option is enabled.

One sequence of steps that does cause the Save? dialog to appear: 

1. with any project (file or new) click one of the Zoom buttons (don't need to actually do any zooming - it is the button click action setting a

"dirty" flag.)

2. close QGIS

Most other actions on the project, like adding a layer, don't cause the Save? dialog to appear.

This occurs in HEAD and back to 0.9.0, and on Windows and Linux.

When I noticed this I decided to write down exactly what I was expecting so I could test each scenario more intelligently than just

randomly clicking buttons and such.

I poked around in the Developers area of the wiki and couldn't find anything outlining expected behavior on this topic. Perhaps I am

looking in the wrong place. The user manual doesn't really address this, just a mention of the Ask to save project changes option.

So, I have attached my list of expectations for the Save? dialog to appear (or not) Comments?

History

#1 - 2009-08-19 09:52 AM - Paolo Cavallini

I confirm: if I remove a layer from a project, I can close QGIS without a question

#2 - 2009-08-31 11:52 PM - luca76 -

I cannot reproduce it:

1) new project

 2) add a shapefile

 3) zoom

closing QGIS asks me if I want to save...

#3 - 2009-09-08 03:03 AM - Paolo Cavallini
I can confirm the defect: if you add a layer to an existing project, you are not asked to save it when closing.

#4 - 2009-11-29 01:57 AM - Giovanni Manghi

Tested now on commit:f81780d2 (SVN r12280): adding a layer now seems to work. If you try close qgis it ask you if you want to save the changes.

Removing a layer still doesn't work as expected: you can remove a layer from a just saved project and then close qgis. No question will pop up asking to

save the project.

#5 - 2010-02-11 01:36 AM - dr -

confirmed https://trac.osgeo.org/qgis/ticket/2431

#6 - 2010-02-11 04:22 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:b1e241a0 (SVN r12927). maybe just partly. issues from #2431 are covered.  if there are any other actions that modify the project so that it

should be save, please name them (like in #2341).

#7 - 2010-02-11 07:47 PM - dr -

If move disabled layer in TOC to new place then The project Save? dialog does not appear.
